VLC for Windows – Free and open-source portable cross-platform media player

 

Windows requirements

VLC runs on all versions of Windows, from Windows XP SP3 to the last version of Windows 10.

VLC for Windows 95/98/Me

Please install KernelEx or take an old version of VLC

Older versions

Older versions can be found by browsing

 

VLC for Windows – Free and open-source portable cross-platform media player

Author: admin